Retrieve Object Record Attachments Export Results
Retrieve the results of the job requested by the Export Object Record Attachments endpoint. Returns SUCCESS only if the job is complete. Check status using the Retrieve Job Status endpoint.
GET
/api/{version}/vobjects/{object_name}/attachments/actions/export/{job_id}/resultsHeaders
Section link for Headers| Name | Description |
|---|---|
Accept | application/json |
URI Path Parameters
Section link for URI Path Parameters| Name | Description |
|---|---|
{object_name} | The name of the object from which attachments were exported. |
job_id | The job ID included in the Export Object Record Attachments response. |
Request
Section link for Requestcurl -X GET -H "Authorization: {AUTH_VALUE}" \
https://myvault.veevavault.com/api/v26.3/vobjects/product__v/attachments/actions/export/1221701/resultsResponse
Section link for Response{
"responseStatus": "SUCCESS",
"data": {
"name": "1636883-1221701-product__v",
"filename": "1636883-1221701-product__v.tar.gz",
"record_count": 2,
"attachment_count": 3,
"size": 139197,
"fileparts": 1,
"filepart_details": [
{
"name": "1636883-1221701-product__v.001",
"filename": "1636883-1221701-product__v.tar.gz.001",
"filepart": 1,
"size": 139197,
"md5checksum": "6b9b52f6fd5800a665e5a93e3bb7c871",
"url": "/api/v26.3/vobjects/product__v/attachments/files/1636883-1221701-product__v.001"
}
]
}
}Response Details
Section link for Response DetailsOn SUCCESS, the response includes the following metadata:
| Name | Description |
|---|---|
name | The name of the attachment export file, excluding the extension. The name has the following format: {user_id}-{job_id}-{object_name}, where user_id is the ID of the user that requested the export. For example, 2419535-1069501-product__v. |
filename | The name of the export file, with the following format: {user_id}-{job_id}-{object_name}.tar.gz, where user_id is the ID of the user that requested the export. For example, 2419535-1069501-product__v.tar.gz. |
record_count | The number of object records included in the export. |
attachment_count | The number of attachment files included in the export. |
size | The size of the export file in bytes. |
fileparts | The number of file parts for the export file. Vault splits files greater than 1 GB into multiple file parts. If the export file is less than 1 GB, Vault creates one file part. |
filepart_details | A list of all file parts and their metadata, including the name. Use the name field to download the file part with the Download Object Record Attachments Export File endpoint. |